/*
 * NAppGUI Cross-platform C SDK
 * 2015-2022 Francisco Garcia Collado
 * MIT Licence
 * https://nappgui.com/en/legal/license.html
 *
 * File: osupdown.h
 *
 */

/* Operating System native updown */

#include "osgui.hxx"

__EXTERN_C

OSUpDown *osupdown_create(const updown_flag_t flags);

void osupdown_destroy(OSUpDown **updown);

void osupdown_OnClick(OSUpDown *updown, Listener *listener);

void osupdown_tooltip(OSUpDown *updown, const char_t *text);


void osupdown_attach(OSUpDown *updown, OSPanel *panel);

void osupdown_detach(OSUpDown *updown, OSPanel *panel);

void osupdown_visible(OSUpDown *updown, const bool_t visible);

void osupdown_enabled(OSUpDown *updown, const bool_t enabled);

void osupdown_size(const OSUpDown *updown, real32_t *width, real32_t *height);

void osupdown_origin(const OSUpDown *updown, real32_t *x, real32_t *y);

void osupdown_frame(OSUpDown *updown, const real32_t x, const real32_t y, const real32_t width, const real32_t height);

__END_C

